document.addEventListener("DOMContentLoaded", () => {
  document.querySelectorAll('.clickable-item').forEach(item => {
    item.addEventListener('click', function(e) {
      if (!e.target.closest('button') && e.target.tagName.toLowerCase() !== 'input') {
        const checkbox = this.querySelector('input[type="checkbox"]');

        if (checkbox.disabled) {
          return;
        }

        if (checkbox.checked) {
          socket.emit('uncheck_item', { item_id: parseInt(this.id.replace('item-', ''), 10) });
        } else {
          socket.emit('check_item', { item_id: parseInt(this.id.replace('item-', ''), 10) });
        }

        checkbox.disabled = true;
        this.classList.add('opacity-50');

        let existingSpinner = this.querySelector('.spinner-border');
        if (!existingSpinner) {
          const spinner = document.createElement('span');
          spinner.className = 'spinner-border spinner-border-sm ms-2';
          spinner.setAttribute('role', 'status');
          spinner.setAttribute('aria-hidden', 'true');
          checkbox.parentElement.appendChild(spinner);
        }
      }
    });
  });
});
